Opened 3 years ago

Closed 3 years ago

#5497 closed feature request (fixed)

Relax haskell98 build-dep on time package to allow time-1.4

Reported by: hvr Owned by: igloo
Priority: normal Milestone:
Component: libraries/haskell98 Version: 7.3
Keywords: deepseq time Cc:
Operating System: Unknown/Multiple Architecture: Unknown/Multiple
Type of failure: None/Unknown Difficulty:
Test Case: Blocked By:
Blocking: Related Tickets:

Description

Recently, hackage:time-1.4 got released (which features NFData instances as a reaction to #5468). hackage:haskell98-2.0.0.0 still depends upon time >= 1.2 && < 1.3, which excludes the new time package.

Please modify haskell98's build-dependancy in such a way that the new time package can be used (and thus bundled with GHC 7.[34])

Change History (1)

comment:1 Changed 3 years ago by igloo

  • Resolution set to fixed
  • Status changed from new to closed

Done.

Note: See TracTickets for help on using tickets.